Airwallex logo
Airwallex logoAirwallex logo

Payment Methods

Copy for LLMView as Markdown

A PaymentMethod represents the funding source that belongs to a Customer and is used to bind to one or several PaymentConsents.

Endpoints
POST /api/v1/pa/payment_methods/create
GET /api/v1/pa/payment_methods/{id}
POST /api/v1/pa/payment_methods/{id}/update
GET /api/v1/pa/payment_methods
POST /api/v1/pa/payment_methods/{id}/disable

Create a PaymentMethod

POST /api/v1/pa/payment_methods/create

Create a PaymentMethod which can be referenced by PaymentConsent.

Alternatively you can directly provide entire payload of new PaymentMethod when verifying the PaymentConsent, and then a PaymentMethod will be generated for you automatically during the process, which can be re-used for other PaymentConsent later.

Request body
applepayobject

Apple pay information. This must be provided if type is set to applepay

applepay.billingobject

Billing information

applepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

applepay.billing.address.citystring

City of the address. Maximum of 100 characters.

applepay.billing.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

applepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

applepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

applepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

applepay.billing.emailstring

Email address of the customer

applepay.billing.first_namestring

First name of the customer. Maximum length is 128.

applepay.billing.last_namestring

Last name of the customer. Maximum length is 128.

applepay.billing.phone_numberstring

Phone number of the customer

applepay.encrypted_payment_tokenstring

Payment data from ApplePayPaymentToken

applepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

applepay.tokenized_cardobject

Payment data with the tokenized card details

applepay.tokenized_card.authentication_methodobject

Authentication method

applepay.tokenized_card.authentication_method.emvobject

EMV data

applepay.tokenized_card.authentication_method.emv.emv_datarequiredstring

Output from the Secure Element

applepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

applepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

applepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

applepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramrequiredstring

Online payment cryptogram, as defined by 3-D Secure

applepay.tokenized_card.authentication_method.typerequiredstring

The authentication method type. One of emv or three_ds.

applepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

applepay.tokenized_card.expiry_monthrequiredstring

Two digit number representing the card’s expiration month

applepay.tokenized_card.expiry_yearrequiredstring

Four digit number representing the card’s expiration year

applepay.tokenized_card.namestring

Cardholder name

applepay.tokenized_card.numberrequiredstring

Card number

cardobject

Card information. This must be provided if type is set to card

card.additional_infoobject

Additional information of external network token requestor. Should be provided when number_type is EXTERNAL_NETWORK_TOKEN

card.additional_info.merchant_verification_valuestring

Merchant Verification Value (Provided by VISA during onboarding) or MasterCard Assigned ID (Provided by MasterCard during onboarding)

card.additional_info.token_requestor_idstring

Token requestor unique identifier (Provided by card schemes during onboarding)

card.billingobject

Billing information

card.billing.addressobject

The billing address as it appears on the credit card issuer’s records

card.billing.address.citystring

City of the address. Maximum of 100 characters.

card.billing.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

card.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

card.billing.address.statestring

State or province of the address. Maximum of 100 characters.

card.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

card.billing.emailstring

Email address of the customer

card.billing.first_namestring

First name of the customer. Maximum length is 128.

card.billing.last_namestring

Last name of the customer. Maximum length is 128.

card.billing.phone_numberstring

Phone number of the customer

card.expiry_monthstring

Two digit number representing the card’s expiration month

card.expiry_yearstring

Four digit number representing the card’s expiration year

card.namestring

Card holder name. Maximum length is 128.

card.numberstring

Card number

card.number_typestring

Type of the number. One of PAN, EXTERNAL_NETWORK_TOKEN. Default: PAN

customer_idrequiredstring

The Customer this PaymentMethod belongs to. This PaymentMethod is automatically added to the Customer as one of the available PaymentMethods. See Customers API for further details

googlepayobject

Google pay information. This must be provided if type is set to googlepay

googlepay.billingobject

Billing information

googlepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

googlepay.billing.address.citystring

City of the address. Maximum of 100 characters.

googlepay.billing.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

googlepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

googlepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

googlepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

googlepay.billing.emailstring

Email address of the customer

googlepay.billing.first_namestring

First name of the customer. Maximum length is 128.

googlepay.billing.last_namestring

Last name of the customer. Maximum length is 128.

googlepay.billing.phone_numberstring

Phone number of the customer

googlepay.encrypted_payment_tokenstring

A UTF-8 encoded, serialized JSON object with the keys specified.

googlepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

googlepay.tokenized_cardobject

Payment data with the tokenized card details

googlepay.tokenized_card.authentication_methodobject

Authentication method

googlepay.tokenized_card.authentication_method.emvobject

EMV data

googlepay.tokenized_card.authentication_method.emv.emv_datarequiredstring

Output from the Secure Element

googlepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

googlepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

googlepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

googlepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramrequiredstring

Online payment cryptogram, as defined by 3-D Secure

googlepay.tokenized_card.authentication_method.typerequiredstring

The authentication method type. One of emv or three_ds.

googlepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

googlepay.tokenized_card.expiry_monthrequiredstring

Two digit number representing the card’s expiration month

googlepay.tokenized_card.expiry_yearrequiredstring

Four digit number representing the card’s expiration year

googlepay.tokenized_card.namestring

Cardholder name

googlepay.tokenized_card.numberrequiredstring

Card number

metadataobject

A set of key-value pairs that you can attach to this PaymentMethod. You can specify up to 50 keys with key names up to 50 characters long and values up to 500 characters long.

request_idrequiredstring

Unique request identifier specified by the merchant

typerequiredstring

Type of the PaymentMethod. one of card, applepay, googlepay

Response body - 201 Created
ach_direct_debitobject

ACH Direct Debit information. Only provided when type is ach_direct_debit.

ach_direct_debit.aba_routing_numberstring

9-digit number to identify a bank in the US.

ach_direct_debit.account_numberstring

4-17 digits number to identify a bank account in the US.

ach_direct_debit.business_accountboolean

Indicate whether the account is a business account.

ach_direct_debit.micro_debitobject

The result of micro debit.

ach_direct_debit.micro_debit.statusstring

The status of micro_debit.

ach_direct_debit.micro_depositobject

The result of micro deposit.

ach_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

ach_direct_debit.owner_emailstring

Email of the account holder.

ach_direct_debit.owner_namestring

Name of the account holder.

applepayobject

Apple pay information. Only provided when type is applepay

applepay.billingobject

Billing information

applepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

applepay.billing.address.citystring

City of the address. Maximum of 100 characters.

applepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

applepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

applepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

applepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

applepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

applepay.billing.emailstring

Email address of the customer

applepay.billing.first_namestring

First name of the customer

applepay.billing.last_namestring

Last name of the customer

applepay.billing.phone_numberstring

Phone number of the customer

applepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

applepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

applepay.tokenized_cardobject

Payment data with the tokenized card details.

applepay.tokenized_card.authentication_methodobject

Authentication method

applepay.tokenized_card.authentication_method.emvobject

EMV data

applepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

applepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

applepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

applepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

applepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

applepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

applepay.tokenized_card.binstring

Bank identify number of this card

applepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

applepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

applepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

applepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

applepay.tokenized_card.fingerprintstring

Fingerprint of the card

applepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

applepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

applepay.tokenized_card.issuer_namestring

Issuer name

applepay.tokenized_card.last4string

Last four digits of the card number

applepay.tokenized_card.namestring

Cardholder name

applepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

bacs_direct_debitobject

BACS Direct Debit information. Only provided when type is bacs_direct_debit.

bacs_direct_debit.account_numberstring

8 digits number to identify a bank account in the UK.

bacs_direct_debit.addressobject

Account holder's address.

bacs_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes. One of GB, US. Default to GB if not provided

bacs_direct_debit.address.line1string

House number and street name, e.g., 777 Casino Drive

bacs_direct_debit.address.line2string

Locality name, e.g., Apartment 123

bacs_direct_debit.address.postcodestring

Postcode of the address.

bacs_direct_debit.address.statestring

State or province of the address. Should be provided if country code is US. Use the two-character ISO3166-2:US state code.

bacs_direct_debit.address.townstring

Post town.

bacs_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

bacs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

bacs_direct_debit.micro_depositobject

The result of micro deposit.

bacs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

bacs_direct_debit.owner_emailstring

Email of the account holder.

bacs_direct_debit.owner_namestring

Name of the account holder.

bacs_direct_debit.sort_codestring

6-digit number to identify a bank in the UK.

becs_direct_debitobject

BECS Direct Debit information. Only provided when type is becs_direct_debit.

becs_direct_debit.account_numberstring

4-9 digits number to identify a bank account in Australia.

becs_direct_debit.bsb_numberstring

6-digit Bank-State-Branch number.

becs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

becs_direct_debit.micro_debitobject

The result of micro debit.

becs_direct_debit.micro_debit.statusstring

The status of micro_debit.

becs_direct_debit.micro_depositobject

The result of micro deposit.

becs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

becs_direct_debit.owner_emailstring

Account holder's email.

becs_direct_debit.owner_namestring

Account holder name.

cardobject

Card information. Only provided when type is card

card.additional_infoobject

Additional information of external network token requestor. Would return when number_type is EXTERNAL_NETWORK_TOKEN

card.additional_info.merchant_verification_valuestring

Merchant Verification Value (Provided by VISA during onboarding) or MasterCard Assigned ID (Provided by MasterCard during onboarding)

card.additional_info.token_requestor_idstring

Token requestor unique identifier (Provided by card schemes during onboarding)

card.billingobject

Billing information

card.billing.addressobject

The billing address as it appears on the credit card issuer’s records

card.billing.address.citystring

City of the address. Maximum of 100 characters.

card.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

card.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

card.billing.address.statestring

State or province of the address. Maximum of 100 characters.

card.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

card.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

card.billing.emailstring

Email address of the customer

card.billing.first_namestring

First name of the customer

card.billing.last_namestring

Last name of the customer

card.billing.phone_numberstring

Phone number of the customer

card.binstring

Bank identify number of this card

card.brandstring

Brand of the card. One of mastercard, visa, union pay, american express, jcb, discover, diners club international.

card.card_typestring

Funding type of the card

card.expiry_monthstring

Two digit number representing the card’s expiration month

card.expiry_yearstring

Four digit number representing the card’s expiration year

card.fingerprintstring

Fingerprint of the card

card.is_commercialboolean

A boolean field referring whether the card is commercial or not

card.issuer_country_codestring

Country code of the card issuer

card.issuer_namestring

Issuer name

card.korean_cardobject

Information for Korean Card

card.korean_card.business_numberstring

A 10-digit business number of the company.

card.korean_card.date_of_birthstring

A 6-digit date of birth in the format of YYMMDD.

card.korean_card.password_first2string

Card password first 2 digits.

card.last4string

Last four digits of the card number

card.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

card.namestring

Card holder name

card.number_typestring

Type of the number. One of PAN, EXTERNAL_NETWORK_TOKEN, AIRWALLEX_NETWORK_TOKEN.

created_atstring

Time when the PaymentMethod was created.

customer_idstring

The Customer this PaymentMethod belongs to

eft_direct_debitobject

EFT Direct Debit information. Only provided when type is eft_direct_debit.

eft_direct_debit.account_numberstring

4-17 digits number to identify a bank account in Canada.

eft_direct_debit.business_accountboolean

Indicate whether the account is a business account.

eft_direct_debit.institution_numberstring

3-digit number to identify a bank institution in Canada.

eft_direct_debit.micro_debitobject

The result of micro debit.

eft_direct_debit.micro_debit.statusstring

The status of micro_debit.

eft_direct_debit.micro_depositobject

The result of micro deposit.

eft_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

eft_direct_debit.owner_emailstring

Email of the account holder.

eft_direct_debit.owner_namestring

Name of the account holder.

eft_direct_debit.transit_numberstring

Identify a bank branch transit in Canada.

googlepayobject

Google pay information. Only provided when type is googlepay

googlepay.billingobject

Billing information

googlepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

googlepay.billing.address.citystring

City of the address. Maximum of 100 characters.

googlepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

googlepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

googlepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

googlepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

googlepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

googlepay.billing.emailstring

Email address of the customer

googlepay.billing.first_namestring

First name of the customer

googlepay.billing.last_namestring

Last name of the customer

googlepay.billing.phone_numberstring

Phone number of the customer

googlepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

googlepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

googlepay.tokenized_cardobject

Payment data with the tokenized card details.

googlepay.tokenized_card.authentication_methodobject

Authentication method

googlepay.tokenized_card.authentication_method.emvobject

EMV data

googlepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

googlepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

googlepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

googlepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

googlepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

googlepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

googlepay.tokenized_card.binstring

Bank identify number of this card

googlepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

googlepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

googlepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

googlepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

googlepay.tokenized_card.fingerprintstring

Fingerprint of the card

googlepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

googlepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

googlepay.tokenized_card.issuer_namestring

Issuer name

googlepay.tokenized_card.last4string

Last four digits of the card number

googlepay.tokenized_card.namestring

Cardholder name

googlepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

idstring

Unique identifier for the PaymentMethod

metadataobject

A set of key-value pairs that you can attach to this PaymentMethod. You can specify up to 50 keys with key names up to 50 characters long and values up to 500 characters long.

request_idstring

Unique request identifier specified by the merchant

sepa_direct_debitobject

SEPA Direct Debit information. Only provided when type is sepa_direct_debit.

sepa_direct_debit.addressobject

Account holder's address.

sepa_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes.

sepa_direct_debit.address.postcodestring

Postcode of the address.

sepa_direct_debit.address.streetstring

street of the address.

sepa_direct_debit.address.townstring

town of the address.

sepa_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

sepa_direct_debit.business_accountboolean

Indicate whether the account is a business account.

sepa_direct_debit.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

sepa_direct_debit.ibanstring

15–34 characters to identify a bank account.

sepa_direct_debit.micro_debitobject

The result of micro debit.

sepa_direct_debit.micro_debit.statusstring

The status of micro_debit.

sepa_direct_debit.micro_depositobject

The result of micro deposit.

sepa_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

sepa_direct_debit.owner_emailstring

Email of the account holder.

sepa_direct_debit.owner_namestring

Name of the account holder.

statusstring

Status of the PaymentMethod. One of CREATED, DISABLED

typestring

Type of the PaymentMethod. One of card, applepay, googlepay, ach_direct_debit, bacs_direct_debit, becs_direct_debit, sepa_direct_debit, eft_direct_debit.

updated_atstring

Time when the PaymentMethod was last updated.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, duplicate_request, resource_not_found(invalid customer_id)

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url)

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/payment_methods/create
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/payment_methods/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "type": "card",
> "card": {
> "expiry_month": "03",
> "expiry_year": "2030",
> "number": "4035501000000008",
> "name": "John Doe",
> "number_type": "PAN",
> "billing": {
> "email": "[email protected]",
> "phone_number": "+1 1234567890",
> "first_name": "John",
> "last_name": "Doe",
> "address": {
> "country_code": "US",
> "city": "San Francisco",
> "state": "CA",
> "street": "1460 Mission St.#02W101",
> "postcode": "94103"
> }
> }
> },
> "customer_id": "cus_hkpd1dsaklad5sa",
> "request_id": "9dbaecc9-24da-41e8-9d48-7f4ef4d1057e"
>}'
Response (201 Created)
1{
2 "id": "mtd_hkpd1dsjklad5sa",
3 "request_id": "9dbaecc9-24da-41e8-9d48-7f4ef4d1057e",
4 "customer_id": "cus_hkpd1dsaklad5sa",
5 "type": "card",
6 "card": {
7 "expiry_month": "03",
8 "expiry_year": "2030",
9 "name": "John Doe",
10 "bin": "403550",
11 "last4": "0008",
12 "brand": "visa",
13 "issuer_country_code": "US",
14 "card_type": "CREDIT",
15 "fingerprint": "AKvN4TqxI04SNFZ+oYRXaECtDA==",
16 "billing": {
17 "first_name": "John",
18 "last_name": "Doe",
19 "email": "[email protected]",
20 "phone_number": "+1 1234567890",
21 "address": {
22 "country_code": "US",
23 "state": "CA",
24 "city": "San Francisco",
25 "street": "1460 Mission St.#02W101",
26 "postcode": "94103"
27 }
28 },
29 "issuer_name": "JPMorgan Chase",
30 "is_commercial": false,
31 "number_type": "PAN"
32 },
33 "status": "CREATED",
34 "created_at": "2023-10-01T12:00:00+00:00",
35 "updated_at": "2023-10-01T12:00:00+00:00"
36}
Was this section helpful?

Retrieve a PaymentMethod

GET /api/v1/pa/payment_methods/{id}

Retrieve PaymentMethod by unique identifier.

Parameters
idrequiredstring

PaymentMethod unique identifier

Response body - 200 OK
ach_direct_debitobject

ACH Direct Debit information. Only provided when type is ach_direct_debit.

ach_direct_debit.aba_routing_numberstring

9-digit number to identify a bank in the US.

ach_direct_debit.account_numberstring

4-17 digits number to identify a bank account in the US.

ach_direct_debit.business_accountboolean

Indicate whether the account is a business account.

ach_direct_debit.micro_debitobject

The result of micro debit.

ach_direct_debit.micro_debit.statusstring

The status of micro_debit.

ach_direct_debit.micro_depositobject

The result of micro deposit.

ach_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

ach_direct_debit.owner_emailstring

Email of the account holder.

ach_direct_debit.owner_namestring

Name of the account holder.

applepayobject

Apple pay information. Only provided when type is applepay

applepay.billingobject

Billing information

applepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

applepay.billing.address.citystring

City of the address. Maximum of 100 characters.

applepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

applepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

applepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

applepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

applepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

applepay.billing.emailstring

Email address of the customer

applepay.billing.first_namestring

First name of the customer

applepay.billing.last_namestring

Last name of the customer

applepay.billing.phone_numberstring

Phone number of the customer

applepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

applepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

applepay.tokenized_cardobject

Payment data with the tokenized card details.

applepay.tokenized_card.authentication_methodobject

Authentication method

applepay.tokenized_card.authentication_method.emvobject

EMV data

applepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

applepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

applepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

applepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

applepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

applepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

applepay.tokenized_card.binstring

Bank identify number of this card

applepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

applepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

applepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

applepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

applepay.tokenized_card.fingerprintstring

Fingerprint of the card

applepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

applepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

applepay.tokenized_card.issuer_namestring

Issuer name

applepay.tokenized_card.last4string

Last four digits of the card number

applepay.tokenized_card.namestring

Cardholder name

applepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

bacs_direct_debitobject

BACS Direct Debit information. Only provided when type is bacs_direct_debit.

bacs_direct_debit.account_numberstring

8 digits number to identify a bank account in the UK.

bacs_direct_debit.addressobject

Account holder's address.

bacs_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes. One of GB, US. Default to GB if not provided

bacs_direct_debit.address.line1string

House number and street name, e.g., 777 Casino Drive

bacs_direct_debit.address.line2string

Locality name, e.g., Apartment 123

bacs_direct_debit.address.postcodestring

Postcode of the address.

bacs_direct_debit.address.statestring

State or province of the address. Should be provided if country code is US. Use the two-character ISO3166-2:US state code.

bacs_direct_debit.address.townstring

Post town.

bacs_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

bacs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

bacs_direct_debit.micro_depositobject

The result of micro deposit.

bacs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

bacs_direct_debit.owner_emailstring

Email of the account holder.

bacs_direct_debit.owner_namestring

Name of the account holder.

bacs_direct_debit.sort_codestring

6-digit number to identify a bank in the UK.

becs_direct_debitobject

BECS Direct Debit information. Only provided when type is becs_direct_debit.

becs_direct_debit.account_numberstring

4-9 digits number to identify a bank account in Australia.

becs_direct_debit.bsb_numberstring

6-digit Bank-State-Branch number.

becs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

becs_direct_debit.micro_debitobject

The result of micro debit.

becs_direct_debit.micro_debit.statusstring

The status of micro_debit.

becs_direct_debit.micro_depositobject

The result of micro deposit.

becs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

becs_direct_debit.owner_emailstring

Account holder's email.

becs_direct_debit.owner_namestring

Account holder name.

cardobject

Card information. Only provided when type is card

card.additional_infoobject

Additional information of external network token requestor. Would return when number_type is EXTERNAL_NETWORK_TOKEN

card.additional_info.merchant_verification_valuestring

Merchant Verification Value (Provided by VISA during onboarding) or MasterCard Assigned ID (Provided by MasterCard during onboarding)

card.additional_info.token_requestor_idstring

Token requestor unique identifier (Provided by card schemes during onboarding)

card.billingobject

Billing information

card.billing.addressobject

The billing address as it appears on the credit card issuer’s records

card.billing.address.citystring

City of the address. Maximum of 100 characters.

card.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

card.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

card.billing.address.statestring

State or province of the address. Maximum of 100 characters.

card.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

card.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

card.billing.emailstring

Email address of the customer

card.billing.first_namestring

First name of the customer

card.billing.last_namestring

Last name of the customer

card.billing.phone_numberstring

Phone number of the customer

card.binstring

Bank identify number of this card

card.brandstring

Brand of the card. One of mastercard, visa, union pay, american express, jcb, discover, diners club international.

card.card_typestring

Funding type of the card

card.expiry_monthstring

Two digit number representing the card’s expiration month

card.expiry_yearstring

Four digit number representing the card’s expiration year

card.fingerprintstring

Fingerprint of the card

card.is_commercialboolean

A boolean field referring whether the card is commercial or not

card.issuer_country_codestring

Country code of the card issuer

card.issuer_namestring

Issuer name

card.korean_cardobject

Information for Korean Card

card.korean_card.business_numberstring

A 10-digit business number of the company.

card.korean_card.date_of_birthstring

A 6-digit date of birth in the format of YYMMDD.

card.korean_card.password_first2string

Card password first 2 digits.

card.last4string

Last four digits of the card number

card.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

card.namestring

Card holder name

card.number_typestring

Type of the number. One of PAN, EXTERNAL_NETWORK_TOKEN, AIRWALLEX_NETWORK_TOKEN.

created_atstring

Time when the PaymentMethod was created.

customer_idstring

The Customer this PaymentMethod belongs to

eft_direct_debitobject

EFT Direct Debit information. Only provided when type is eft_direct_debit.

eft_direct_debit.account_numberstring

4-17 digits number to identify a bank account in Canada.

eft_direct_debit.business_accountboolean

Indicate whether the account is a business account.

eft_direct_debit.institution_numberstring

3-digit number to identify a bank institution in Canada.

eft_direct_debit.micro_debitobject

The result of micro debit.

eft_direct_debit.micro_debit.statusstring

The status of micro_debit.

eft_direct_debit.micro_depositobject

The result of micro deposit.

eft_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

eft_direct_debit.owner_emailstring

Email of the account holder.

eft_direct_debit.owner_namestring

Name of the account holder.

eft_direct_debit.transit_numberstring

Identify a bank branch transit in Canada.

googlepayobject

Google pay information. Only provided when type is googlepay

googlepay.billingobject

Billing information

googlepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

googlepay.billing.address.citystring

City of the address. Maximum of 100 characters.

googlepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

googlepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

googlepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

googlepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

googlepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

googlepay.billing.emailstring

Email address of the customer

googlepay.billing.first_namestring

First name of the customer

googlepay.billing.last_namestring

Last name of the customer

googlepay.billing.phone_numberstring

Phone number of the customer

googlepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

googlepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

googlepay.tokenized_cardobject

Payment data with the tokenized card details.

googlepay.tokenized_card.authentication_methodobject

Authentication method

googlepay.tokenized_card.authentication_method.emvobject

EMV data

googlepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

googlepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

googlepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

googlepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

googlepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

googlepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

googlepay.tokenized_card.binstring

Bank identify number of this card

googlepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

googlepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

googlepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

googlepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

googlepay.tokenized_card.fingerprintstring

Fingerprint of the card

googlepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

googlepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

googlepay.tokenized_card.issuer_namestring

Issuer name

googlepay.tokenized_card.last4string

Last four digits of the card number

googlepay.tokenized_card.namestring

Cardholder name

googlepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

idstring

Unique identifier for the PaymentMethod

metadataobject

A set of key-value pairs that you can attach to this PaymentMethod. You can specify up to 50 keys with key names up to 50 characters long and values up to 500 characters long.

request_idstring

Unique request identifier specified by the merchant

sepa_direct_debitobject

SEPA Direct Debit information. Only provided when type is sepa_direct_debit.

sepa_direct_debit.addressobject

Account holder's address.

sepa_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes.

sepa_direct_debit.address.postcodestring

Postcode of the address.

sepa_direct_debit.address.streetstring

street of the address.

sepa_direct_debit.address.townstring

town of the address.

sepa_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

sepa_direct_debit.business_accountboolean

Indicate whether the account is a business account.

sepa_direct_debit.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

sepa_direct_debit.ibanstring

15–34 characters to identify a bank account.

sepa_direct_debit.micro_debitobject

The result of micro debit.

sepa_direct_debit.micro_debit.statusstring

The status of micro_debit.

sepa_direct_debit.micro_depositobject

The result of micro deposit.

sepa_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

sepa_direct_debit.owner_emailstring

Email of the account holder.

sepa_direct_debit.owner_namestring

Name of the account holder.

statusstring

Status of the PaymentMethod. One of CREATED, DISABLED

typestring

Type of the PaymentMethod. One of card, applepay, googlepay, ach_direct_debit, bacs_direct_debit, becs_direct_debit, sepa_direct_debit, eft_direct_debit.

updated_atstring

Time when the PaymentMethod was last updated.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url), resource_not_found

500

Server Error. Possible error codes: internal_error

GET /api/v1/pa/payment_methods/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/payment_methods/att_hkpd12a3456hi7' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "id": "mtd_hkpd1dsjklad5sa",
3 "request_id": "9dbaecc9-24da-41e8-9d48-7f4ef4d1057e",
4 "customer_id": "cus_hkpd1dsaklad5sa",
5 "type": "card",
6 "card": {
7 "expiry_month": "03",
8 "expiry_year": "2030",
9 "name": "John Doe",
10 "bin": "403550",
11 "last4": "0008",
12 "brand": "visa",
13 "issuer_country_code": "US",
14 "card_type": "CREDIT",
15 "fingerprint": "AKvN4TqxI04SNFZ+oYRXaECtDA==",
16 "billing": {
17 "first_name": "John",
18 "last_name": "Doe",
19 "email": "[email protected]",
20 "phone_number": "+1 1234567890",
21 "address": {
22 "country_code": "US",
23 "state": "CA",
24 "city": "San Francisco",
25 "street": "1460 Mission St.#02W101",
26 "postcode": "94103"
27 }
28 },
29 "issuer_name": "JPMorgan Chase",
30 "is_commercial": false,
31 "number_type": "PAN"
32 },
33 "status": "CREATED",
34 "created_at": "2023-10-01T12:00:00+00:00",
35 "updated_at": "2023-10-01T12:00:00+00:00"
36}
Was this section helpful?

Update a PaymentMethod

POST /api/v1/pa/payment_methods/{id}/update

Depending on the payment_method_type, you may update some of the details contained within.

Parameters
idrequiredstring

PaymentMethod to update

Request body
cardrequiredobject

Card information. This must be provided.

card.billingobject

Billing information

card.billing.addressobject

The billing address as it appears on the credit card issuer’s records

card.billing.address.citystring

City of the address. Maximum of 100 characters.

card.billing.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

card.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

card.billing.address.statestring

State or province of the address. Maximum of 100 characters.

card.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

card.billing.emailstring

Email address of the customer

card.billing.first_namestring

First name of the customer. Maximum length is 128.

card.billing.last_namestring

Last name of the customer. Maximum length is 128.

card.billing.phone_numberstring

Phone number of the customer

card.expiry_monthstring

Two digit number representing the card’s expiration month

card.expiry_yearstring

Four digit number representing the card’s expiration year

request_idrequiredstring

Unique request identifier specified by the merchant

Response body - 200 OK
ach_direct_debitobject

ACH Direct Debit information. Only provided when type is ach_direct_debit.

ach_direct_debit.aba_routing_numberstring

9-digit number to identify a bank in the US.

ach_direct_debit.account_numberstring

4-17 digits number to identify a bank account in the US.

ach_direct_debit.business_accountboolean

Indicate whether the account is a business account.

ach_direct_debit.micro_debitobject

The result of micro debit.

ach_direct_debit.micro_debit.statusstring

The status of micro_debit.

ach_direct_debit.micro_depositobject

The result of micro deposit.

ach_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

ach_direct_debit.owner_emailstring

Email of the account holder.

ach_direct_debit.owner_namestring

Name of the account holder.

applepayobject

Apple pay information. Only provided when type is applepay

applepay.billingobject

Billing information

applepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

applepay.billing.address.citystring

City of the address. Maximum of 100 characters.

applepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

applepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

applepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

applepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

applepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

applepay.billing.emailstring

Email address of the customer

applepay.billing.first_namestring

First name of the customer

applepay.billing.last_namestring

Last name of the customer

applepay.billing.phone_numberstring

Phone number of the customer

applepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

applepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

applepay.tokenized_cardobject

Payment data with the tokenized card details.

applepay.tokenized_card.authentication_methodobject

Authentication method

applepay.tokenized_card.authentication_method.emvobject

EMV data

applepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

applepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

applepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

applepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

applepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

applepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

applepay.tokenized_card.binstring

Bank identify number of this card

applepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

applepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

applepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

applepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

applepay.tokenized_card.fingerprintstring

Fingerprint of the card

applepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

applepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

applepay.tokenized_card.issuer_namestring

Issuer name

applepay.tokenized_card.last4string

Last four digits of the card number

applepay.tokenized_card.namestring

Cardholder name

applepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

bacs_direct_debitobject

BACS Direct Debit information. Only provided when type is bacs_direct_debit.

bacs_direct_debit.account_numberstring

8 digits number to identify a bank account in the UK.

bacs_direct_debit.addressobject

Account holder's address.

bacs_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes. One of GB, US. Default to GB if not provided

bacs_direct_debit.address.line1string

House number and street name, e.g., 777 Casino Drive

bacs_direct_debit.address.line2string

Locality name, e.g., Apartment 123

bacs_direct_debit.address.postcodestring

Postcode of the address.

bacs_direct_debit.address.statestring

State or province of the address. Should be provided if country code is US. Use the two-character ISO3166-2:US state code.

bacs_direct_debit.address.townstring

Post town.

bacs_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

bacs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

bacs_direct_debit.micro_depositobject

The result of micro deposit.

bacs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

bacs_direct_debit.owner_emailstring

Email of the account holder.

bacs_direct_debit.owner_namestring

Name of the account holder.

bacs_direct_debit.sort_codestring

6-digit number to identify a bank in the UK.

becs_direct_debitobject

BECS Direct Debit information. Only provided when type is becs_direct_debit.

becs_direct_debit.account_numberstring

4-9 digits number to identify a bank account in Australia.

becs_direct_debit.bsb_numberstring

6-digit Bank-State-Branch number.

becs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

becs_direct_debit.micro_debitobject

The result of micro debit.

becs_direct_debit.micro_debit.statusstring

The status of micro_debit.

becs_direct_debit.micro_depositobject

The result of micro deposit.

becs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

becs_direct_debit.owner_emailstring

Account holder's email.

becs_direct_debit.owner_namestring

Account holder name.

cardobject

Card information. Only provided when type is card

card.additional_infoobject

Additional information of external network token requestor. Would return when number_type is EXTERNAL_NETWORK_TOKEN

card.additional_info.merchant_verification_valuestring

Merchant Verification Value (Provided by VISA during onboarding) or MasterCard Assigned ID (Provided by MasterCard during onboarding)

card.additional_info.token_requestor_idstring

Token requestor unique identifier (Provided by card schemes during onboarding)

card.billingobject

Billing information

card.billing.addressobject

The billing address as it appears on the credit card issuer’s records

card.billing.address.citystring

City of the address. Maximum of 100 characters.

card.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

card.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

card.billing.address.statestring

State or province of the address. Maximum of 100 characters.

card.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

card.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

card.billing.emailstring

Email address of the customer

card.billing.first_namestring

First name of the customer

card.billing.last_namestring

Last name of the customer

card.billing.phone_numberstring

Phone number of the customer

card.binstring

Bank identify number of this card

card.brandstring

Brand of the card. One of mastercard, visa, union pay, american express, jcb, discover, diners club international.

card.card_typestring

Funding type of the card

card.expiry_monthstring

Two digit number representing the card’s expiration month

card.expiry_yearstring

Four digit number representing the card’s expiration year

card.fingerprintstring

Fingerprint of the card

card.is_commercialboolean

A boolean field referring whether the card is commercial or not

card.issuer_country_codestring

Country code of the card issuer

card.issuer_namestring

Issuer name

card.korean_cardobject

Information for Korean Card

card.korean_card.business_numberstring

A 10-digit business number of the company.

card.korean_card.date_of_birthstring

A 6-digit date of birth in the format of YYMMDD.

card.korean_card.password_first2string

Card password first 2 digits.

card.last4string

Last four digits of the card number

card.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

card.namestring

Card holder name

card.number_typestring

Type of the number. One of PAN, EXTERNAL_NETWORK_TOKEN, AIRWALLEX_NETWORK_TOKEN.

created_atstring

Time when the PaymentMethod was created.

customer_idstring

The Customer this PaymentMethod belongs to

eft_direct_debitobject

EFT Direct Debit information. Only provided when type is eft_direct_debit.

eft_direct_debit.account_numberstring

4-17 digits number to identify a bank account in Canada.

eft_direct_debit.business_accountboolean

Indicate whether the account is a business account.

eft_direct_debit.institution_numberstring

3-digit number to identify a bank institution in Canada.

eft_direct_debit.micro_debitobject

The result of micro debit.

eft_direct_debit.micro_debit.statusstring

The status of micro_debit.

eft_direct_debit.micro_depositobject

The result of micro deposit.

eft_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

eft_direct_debit.owner_emailstring

Email of the account holder.

eft_direct_debit.owner_namestring

Name of the account holder.

eft_direct_debit.transit_numberstring

Identify a bank branch transit in Canada.

googlepayobject

Google pay information. Only provided when type is googlepay

googlepay.billingobject

Billing information

googlepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

googlepay.billing.address.citystring

City of the address. Maximum of 100 characters.

googlepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

googlepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

googlepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

googlepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

googlepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

googlepay.billing.emailstring

Email address of the customer

googlepay.billing.first_namestring

First name of the customer

googlepay.billing.last_namestring

Last name of the customer

googlepay.billing.phone_numberstring

Phone number of the customer

googlepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

googlepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

googlepay.tokenized_cardobject

Payment data with the tokenized card details.

googlepay.tokenized_card.authentication_methodobject

Authentication method

googlepay.tokenized_card.authentication_method.emvobject

EMV data

googlepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

googlepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

googlepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

googlepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

googlepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

googlepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

googlepay.tokenized_card.binstring

Bank identify number of this card

googlepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

googlepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

googlepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

googlepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

googlepay.tokenized_card.fingerprintstring

Fingerprint of the card

googlepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

googlepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

googlepay.tokenized_card.issuer_namestring

Issuer name

googlepay.tokenized_card.last4string

Last four digits of the card number

googlepay.tokenized_card.namestring

Cardholder name

googlepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

idstring

Unique identifier for the PaymentMethod

metadataobject

A set of key-value pairs that you can attach to this PaymentMethod. You can specify up to 50 keys with key names up to 50 characters long and values up to 500 characters long.

request_idstring

Unique request identifier specified by the merchant

sepa_direct_debitobject

SEPA Direct Debit information. Only provided when type is sepa_direct_debit.

sepa_direct_debit.addressobject

Account holder's address.

sepa_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes.

sepa_direct_debit.address.postcodestring

Postcode of the address.

sepa_direct_debit.address.streetstring

street of the address.

sepa_direct_debit.address.townstring

town of the address.

sepa_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

sepa_direct_debit.business_accountboolean

Indicate whether the account is a business account.

sepa_direct_debit.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

sepa_direct_debit.ibanstring

15–34 characters to identify a bank account.

sepa_direct_debit.micro_debitobject

The result of micro debit.

sepa_direct_debit.micro_debit.statusstring

The status of micro_debit.

sepa_direct_debit.micro_depositobject

The result of micro deposit.

sepa_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

sepa_direct_debit.owner_emailstring

Email of the account holder.

sepa_direct_debit.owner_namestring

Name of the account holder.

statusstring

Status of the PaymentMethod. One of CREATED, DISABLED

typestring

Type of the PaymentMethod. One of card, applepay, googlepay, ach_direct_debit, bacs_direct_debit, becs_direct_debit, sepa_direct_debit, eft_direct_debit.

updated_atstring

Time when the PaymentMethod was last updated.

Errors
Error statusDescription
401

Unauthorized

403

Forbidden

404

Not Found

POST /api/v1/pa/payment_methods/{id}/update
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/payment_methods/mtd_hkpd1dsjklad5sa/update' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "card": {
> "expiry_month": "03",
> "expiry_year": "2035",
> "billing": {
> "email": "[email protected]",
> "phone_number": "+1 1234567890",
> "first_name": "John",
> "last_name": "Doe",
> "address": {
> "country_code": "US",
> "city": "San Francisco",
> "state": "CA",
> "street": "1460 Mission St.#02W101",
> "postcode": "94103"
> }
> }
> },
> "request_id": "9dbaecc9-24da-41e8-9d48-7f4ef4d1057e"
>}'
Response (200 OK)
1{
2 "id": "mtd_hkpd1dsjklad5sa",
3 "request_id": "ff59b8e3-ea26-4d69-8a2c-a072c02e5235",
4 "customer_id": "cus_hkpd1dsaklad5sa",
5 "type": "card",
6 "card": {
7 "expiry_month": "03",
8 "expiry_year": "2035",
9 "name": "John Doe",
10 "bin": "403550",
11 "last4": "0008",
12 "brand": "visa",
13 "issuer_country_code": "US",
14 "card_type": "CREDIT",
15 "fingerprint": "AKvN4TqxI04SNFZ+oYRXaECtDA==",
16 "billing": {
17 "first_name": "John",
18 "last_name": "Doe",
19 "email": "[email protected]",
20 "phone_number": "+1 1234567890",
21 "address": {
22 "country_code": "US",
23 "state": "CA",
24 "city": "San Francisco",
25 "street": "1460 Mission St.#02W101",
26 "postcode": "94103"
27 }
28 },
29 "issuer_name": "JPMorgan Chase",
30 "is_commercial": false,
31 "number_type": "PAN"
32 },
33 "status": "CREATED",
34 "created_at": "2023-10-01T12:00:00+00:00",
35 "updated_at": "2023-10-01T12:00:00+00:00"
36}
Was this section helpful?

Get list of PaymentMethods

GET /api/v1/pa/payment_methods

Retrieve list of PaymentMethods.

Parameters
customer_idstring

Customer unique identifier of the PaymentMethods

from_created_atstring

The start time of created_at in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

page_numinteger

Page number starting from 0

page_sizeinteger

Number of PaymentMethods to be listed per page. Default value is 10. Maximum is 1000. The value greater than the maximum will be capped to the maximum.

statusstring

PaymentMethod status. One of CREATED, DISABLED

to_created_atstring

The end time of created_at in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

typestring

PaymentMethod type, can be card, ach_direct_debit.

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

List items

items.ach_direct_debitobject

ACH Direct Debit information. Only provided when type is ach_direct_debit.

items.ach_direct_debit.aba_routing_numberstring

9-digit number to identify a bank in the US.

items.ach_direct_debit.account_numberstring

4-17 digits number to identify a bank account in the US.

items.ach_direct_debit.business_accountboolean

Indicate whether the account is a business account.

items.ach_direct_debit.micro_debitobject

The result of micro debit.

items.ach_direct_debit.micro_debit.statusstring

The status of micro_debit.

items.ach_direct_debit.micro_depositobject

The result of micro deposit.

items.ach_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

items.ach_direct_debit.owner_emailstring

Email of the account holder.

items.ach_direct_debit.owner_namestring

Name of the account holder.

items.applepayobject

Apple pay information. Only provided when type is applepay

items.applepay.billingobject

Billing information

items.applepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

items.applepay.billing.address.citystring

City of the address. Maximum of 100 characters.

items.applepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

items.applepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

items.applepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

items.applepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

items.applepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

items.applepay.billing.emailstring

Email address of the customer

items.applepay.billing.first_namestring

First name of the customer

items.applepay.billing.last_namestring

Last name of the customer

items.applepay.billing.phone_numberstring

Phone number of the customer

items.applepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

items.applepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

items.applepay.tokenized_cardobject

Payment data with the tokenized card details.

items.applepay.tokenized_card.authentication_methodobject

Authentication method

items.applepay.tokenized_card.authentication_method.emvobject

EMV data

items.applepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

items.applepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

items.applepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

items.applepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

items.applepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

items.applepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

items.applepay.tokenized_card.binstring

Bank identify number of this card

items.applepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

items.applepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

items.applepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

items.applepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

items.applepay.tokenized_card.fingerprintstring

Fingerprint of the card

items.applepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

items.applepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

items.applepay.tokenized_card.issuer_namestring

Issuer name

items.applepay.tokenized_card.last4string

Last four digits of the card number

items.applepay.tokenized_card.namestring

Cardholder name

items.applepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

items.bacs_direct_debitobject

BACS Direct Debit information. Only provided when type is bacs_direct_debit.

items.bacs_direct_debit.account_numberstring

8 digits number to identify a bank account in the UK.

items.bacs_direct_debit.addressobject

Account holder's address.

items.bacs_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes. One of GB, US. Default to GB if not provided

items.bacs_direct_debit.address.line1string

House number and street name, e.g., 777 Casino Drive

items.bacs_direct_debit.address.line2string

Locality name, e.g., Apartment 123

items.bacs_direct_debit.address.postcodestring

Postcode of the address.

items.bacs_direct_debit.address.statestring

State or province of the address. Should be provided if country code is US. Use the two-character ISO3166-2:US state code.

items.bacs_direct_debit.address.townstring

Post town.

items.bacs_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

items.bacs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

items.bacs_direct_debit.micro_depositobject

The result of micro deposit.

items.bacs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

items.bacs_direct_debit.owner_emailstring

Email of the account holder.

items.bacs_direct_debit.owner_namestring

Name of the account holder.

items.bacs_direct_debit.sort_codestring

6-digit number to identify a bank in the UK.

items.becs_direct_debitobject

BECS Direct Debit information. Only provided when type is becs_direct_debit.

items.becs_direct_debit.account_numberstring

4-9 digits number to identify a bank account in Australia.

items.becs_direct_debit.bsb_numberstring

6-digit Bank-State-Branch number.

items.becs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

items.becs_direct_debit.micro_debitobject

The result of micro debit.

items.becs_direct_debit.micro_debit.statusstring

The status of micro_debit.

items.becs_direct_debit.micro_depositobject

The result of micro deposit.

items.becs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

items.becs_direct_debit.owner_emailstring

Account holder's email.

items.becs_direct_debit.owner_namestring

Account holder name.

items.cardobject

Card information. Only provided when type is card

items.card.additional_infoobject

Additional information of external network token requestor. Would return when number_type is EXTERNAL_NETWORK_TOKEN

items.card.additional_info.merchant_verification_valuestring

Merchant Verification Value (Provided by VISA during onboarding) or MasterCard Assigned ID (Provided by MasterCard during onboarding)

items.card.additional_info.token_requestor_idstring

Token requestor unique identifier (Provided by card schemes during onboarding)

items.card.billingobject

Billing information

items.card.billing.addressobject

The billing address as it appears on the credit card issuer’s records

items.card.billing.address.citystring

City of the address. Maximum of 100 characters.

items.card.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

items.card.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

items.card.billing.address.statestring

State or province of the address. Maximum of 100 characters.

items.card.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

items.card.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

items.card.billing.emailstring

Email address of the customer

items.card.billing.first_namestring

First name of the customer

items.card.billing.last_namestring

Last name of the customer

items.card.billing.phone_numberstring

Phone number of the customer

items.card.binstring

Bank identify number of this card

items.card.brandstring

Brand of the card. One of mastercard, visa, union pay, american express, jcb, discover, diners club international.

items.card.card_typestring

Funding type of the card

items.card.expiry_monthstring

Two digit number representing the card’s expiration month

items.card.expiry_yearstring

Four digit number representing the card’s expiration year

items.card.fingerprintstring

Fingerprint of the card

items.card.is_commercialboolean

A boolean field referring whether the card is commercial or not

items.card.issuer_country_codestring

Country code of the card issuer

items.card.issuer_namestring

Issuer name

items.card.korean_cardobject

Information for Korean Card

items.card.korean_card.business_numberstring

A 10-digit business number of the company.

items.card.korean_card.date_of_birthstring

A 6-digit date of birth in the format of YYMMDD.

items.card.korean_card.password_first2string

Card password first 2 digits.

items.card.last4string

Last four digits of the card number

items.card.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

items.card.namestring

Card holder name

items.card.number_typestring

Type of the number. One of PAN, EXTERNAL_NETWORK_TOKEN, AIRWALLEX_NETWORK_TOKEN.

items.created_atstring

Time when the PaymentMethod was created.

items.customer_idstring

The Customer this PaymentMethod belongs to

items.eft_direct_debitobject

EFT Direct Debit information. Only provided when type is eft_direct_debit.

items.eft_direct_debit.account_numberstring

4-17 digits number to identify a bank account in Canada.

items.eft_direct_debit.business_accountboolean

Indicate whether the account is a business account.

items.eft_direct_debit.institution_numberstring

3-digit number to identify a bank institution in Canada.

items.eft_direct_debit.micro_debitobject

The result of micro debit.

items.eft_direct_debit.micro_debit.statusstring

The status of micro_debit.

items.eft_direct_debit.micro_depositobject

The result of micro deposit.

items.eft_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

items.eft_direct_debit.owner_emailstring

Email of the account holder.

items.eft_direct_debit.owner_namestring

Name of the account holder.

items.eft_direct_debit.transit_numberstring

Identify a bank branch transit in Canada.

items.googlepayobject

Google pay information. Only provided when type is googlepay

items.googlepay.billingobject

Billing information

items.googlepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

items.googlepay.billing.address.citystring

City of the address. Maximum of 100 characters.

items.googlepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

items.googlepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

items.googlepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

items.googlepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

items.googlepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

items.googlepay.billing.emailstring

Email address of the customer

items.googlepay.billing.first_namestring

First name of the customer

items.googlepay.billing.last_namestring

Last name of the customer

items.googlepay.billing.phone_numberstring

Phone number of the customer

items.googlepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

items.googlepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

items.googlepay.tokenized_cardobject

Payment data with the tokenized card details.

items.googlepay.tokenized_card.authentication_methodobject

Authentication method

items.googlepay.tokenized_card.authentication_method.emvobject

EMV data

items.googlepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

items.googlepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

items.googlepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

items.googlepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

items.googlepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

items.googlepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

items.googlepay.tokenized_card.binstring

Bank identify number of this card

items.googlepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

items.googlepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

items.googlepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

items.googlepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

items.googlepay.tokenized_card.fingerprintstring

Fingerprint of the card

items.googlepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

items.googlepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

items.googlepay.tokenized_card.issuer_namestring

Issuer name

items.googlepay.tokenized_card.last4string

Last four digits of the card number

items.googlepay.tokenized_card.namestring

Cardholder name

items.googlepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

items.idstring

Unique identifier for the PaymentMethod

items.metadataobject

A set of key-value pairs that you can attach to this PaymentMethod. You can specify up to 50 keys with key names up to 50 characters long and values up to 500 characters long.

items.request_idstring

Unique request identifier specified by the merchant

items.sepa_direct_debitobject

SEPA Direct Debit information. Only provided when type is sepa_direct_debit.

items.sepa_direct_debit.addressobject

Account holder's address.

items.sepa_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes.

items.sepa_direct_debit.address.postcodestring

Postcode of the address.

items.sepa_direct_debit.address.streetstring

street of the address.

items.sepa_direct_debit.address.townstring

town of the address.

items.sepa_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

items.sepa_direct_debit.business_accountboolean

Indicate whether the account is a business account.

items.sepa_direct_debit.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

items.sepa_direct_debit.ibanstring

15–34 characters to identify a bank account.

items.sepa_direct_debit.micro_debitobject

The result of micro debit.

items.sepa_direct_debit.micro_debit.statusstring

The status of micro_debit.

items.sepa_direct_debit.micro_depositobject

The result of micro deposit.

items.sepa_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

items.sepa_direct_debit.owner_emailstring

Email of the account holder.

items.sepa_direct_debit.owner_namestring

Name of the account holder.

items.statusstring

Status of the PaymentMethod. One of CREATED, DISABLED

items.typestring

Type of the PaymentMethod. One of card, applepay, googlepay, ach_direct_debit, bacs_direct_debit, becs_direct_debit, sepa_direct_debit, eft_direct_debit.

items.updated_atstring

Time when the PaymentMethod was last updated.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url)

500

Server Error. Possible error codes: internal_error

GET /api/v1/pa/payment_methods
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/pa/payment_methods' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "id": "mtd_hkpd1dsjklad5sa",
6 "request_id": "9dbaecc9-24da-41e8-9d48-7f4ef4d1057e",
7 "customer_id": "cus_hkpd1dsaklad5sa",
8 "type": "card",
9 "card": {
10 "expiry_month": "03",
11 "expiry_year": "2030",
12 "name": "John Doe",
13 "bin": "403550",
14 "last4": "0008",
15 "brand": "visa",
16 "issuer_country_code": "US",
17 "card_type": "CREDIT",
18 "fingerprint": "AKvN4TqxI04SNFZ+oYRXaECtDA==",
19 "billing": {
20 "first_name": "John",
21 "last_name": "Doe",
22 "email": "[email protected]",
23 "phone_number": "+1 1234567890",
24 "address": {
25 "country_code": "US",
26 "state": "CA",
27 "city": "San Francisco",
28 "street": "1460 Mission St.#02W101",
29 "postcode": "94103"
30 }
31 },
32 "issuer_name": "JPMorgan Chase",
33 "is_commercial": false,
34 "number_type": "PAN"
35 },
36 "status": "CREATED",
37 "created_at": "2023-10-01T12:00:00+00:00",
38 "updated_at": "2023-10-01T12:00:00+00:00"
39 }
40 ]
41}
Was this section helpful?

Disable a PaymentMethod

POST /api/v1/pa/payment_methods/{id}/disable

Disable PaymentMethod by unique identifier. The PaymentMethod status would become DISABLED

Parameters
idrequiredstring

PaymentMethod unique identifier

Request body
request_idrequiredstring

Unique request identifier specified by the merchant

Response body - 200 OK
ach_direct_debitobject

ACH Direct Debit information. Only provided when type is ach_direct_debit.

ach_direct_debit.aba_routing_numberstring

9-digit number to identify a bank in the US.

ach_direct_debit.account_numberstring

4-17 digits number to identify a bank account in the US.

ach_direct_debit.business_accountboolean

Indicate whether the account is a business account.

ach_direct_debit.micro_debitobject

The result of micro debit.

ach_direct_debit.micro_debit.statusstring

The status of micro_debit.

ach_direct_debit.micro_depositobject

The result of micro deposit.

ach_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

ach_direct_debit.owner_emailstring

Email of the account holder.

ach_direct_debit.owner_namestring

Name of the account holder.

applepayobject

Apple pay information. Only provided when type is applepay

applepay.billingobject

Billing information

applepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

applepay.billing.address.citystring

City of the address. Maximum of 100 characters.

applepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

applepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

applepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

applepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

applepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

applepay.billing.emailstring

Email address of the customer

applepay.billing.first_namestring

First name of the customer

applepay.billing.last_namestring

Last name of the customer

applepay.billing.phone_numberstring

Phone number of the customer

applepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

applepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

applepay.tokenized_cardobject

Payment data with the tokenized card details.

applepay.tokenized_card.authentication_methodobject

Authentication method

applepay.tokenized_card.authentication_method.emvobject

EMV data

applepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

applepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

applepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

applepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

applepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

applepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

applepay.tokenized_card.binstring

Bank identify number of this card

applepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

applepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

applepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

applepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

applepay.tokenized_card.fingerprintstring

Fingerprint of the card

applepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

applepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

applepay.tokenized_card.issuer_namestring

Issuer name

applepay.tokenized_card.last4string

Last four digits of the card number

applepay.tokenized_card.namestring

Cardholder name

applepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

bacs_direct_debitobject

BACS Direct Debit information. Only provided when type is bacs_direct_debit.

bacs_direct_debit.account_numberstring

8 digits number to identify a bank account in the UK.

bacs_direct_debit.addressobject

Account holder's address.

bacs_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes. One of GB, US. Default to GB if not provided

bacs_direct_debit.address.line1string

House number and street name, e.g., 777 Casino Drive

bacs_direct_debit.address.line2string

Locality name, e.g., Apartment 123

bacs_direct_debit.address.postcodestring

Postcode of the address.

bacs_direct_debit.address.statestring

State or province of the address. Should be provided if country code is US. Use the two-character ISO3166-2:US state code.

bacs_direct_debit.address.townstring

Post town.

bacs_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

bacs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

bacs_direct_debit.micro_depositobject

The result of micro deposit.

bacs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

bacs_direct_debit.owner_emailstring

Email of the account holder.

bacs_direct_debit.owner_namestring

Name of the account holder.

bacs_direct_debit.sort_codestring

6-digit number to identify a bank in the UK.

becs_direct_debitobject

BECS Direct Debit information. Only provided when type is becs_direct_debit.

becs_direct_debit.account_numberstring

4-9 digits number to identify a bank account in Australia.

becs_direct_debit.bsb_numberstring

6-digit Bank-State-Branch number.

becs_direct_debit.business_accountboolean

Indicate whether the account is a business account.

becs_direct_debit.micro_debitobject

The result of micro debit.

becs_direct_debit.micro_debit.statusstring

The status of micro_debit.

becs_direct_debit.micro_depositobject

The result of micro deposit.

becs_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

becs_direct_debit.owner_emailstring

Account holder's email.

becs_direct_debit.owner_namestring

Account holder name.

cardobject

Card information. Only provided when type is card

card.additional_infoobject

Additional information of external network token requestor. Would return when number_type is EXTERNAL_NETWORK_TOKEN

card.additional_info.merchant_verification_valuestring

Merchant Verification Value (Provided by VISA during onboarding) or MasterCard Assigned ID (Provided by MasterCard during onboarding)

card.additional_info.token_requestor_idstring

Token requestor unique identifier (Provided by card schemes during onboarding)

card.billingobject

Billing information

card.billing.addressobject

The billing address as it appears on the credit card issuer’s records

card.billing.address.citystring

City of the address. Maximum of 100 characters.

card.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

card.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

card.billing.address.statestring

State or province of the address. Maximum of 100 characters.

card.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

card.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

card.billing.emailstring

Email address of the customer

card.billing.first_namestring

First name of the customer

card.billing.last_namestring

Last name of the customer

card.billing.phone_numberstring

Phone number of the customer

card.binstring

Bank identify number of this card

card.brandstring

Brand of the card. One of mastercard, visa, union pay, american express, jcb, discover, diners club international.

card.card_typestring

Funding type of the card

card.expiry_monthstring

Two digit number representing the card’s expiration month

card.expiry_yearstring

Four digit number representing the card’s expiration year

card.fingerprintstring

Fingerprint of the card

card.is_commercialboolean

A boolean field referring whether the card is commercial or not

card.issuer_country_codestring

Country code of the card issuer

card.issuer_namestring

Issuer name

card.korean_cardobject

Information for Korean Card

card.korean_card.business_numberstring

A 10-digit business number of the company.

card.korean_card.date_of_birthstring

A 6-digit date of birth in the format of YYMMDD.

card.korean_card.password_first2string

Card password first 2 digits.

card.last4string

Last four digits of the card number

card.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

card.namestring

Card holder name

card.number_typestring

Type of the number. One of PAN, EXTERNAL_NETWORK_TOKEN, AIRWALLEX_NETWORK_TOKEN.

created_atstring

Time when the PaymentMethod was created.

customer_idstring

The Customer this PaymentMethod belongs to

eft_direct_debitobject

EFT Direct Debit information. Only provided when type is eft_direct_debit.

eft_direct_debit.account_numberstring

4-17 digits number to identify a bank account in Canada.

eft_direct_debit.business_accountboolean

Indicate whether the account is a business account.

eft_direct_debit.institution_numberstring

3-digit number to identify a bank institution in Canada.

eft_direct_debit.micro_debitobject

The result of micro debit.

eft_direct_debit.micro_debit.statusstring

The status of micro_debit.

eft_direct_debit.micro_depositobject

The result of micro deposit.

eft_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

eft_direct_debit.owner_emailstring

Email of the account holder.

eft_direct_debit.owner_namestring

Name of the account holder.

eft_direct_debit.transit_numberstring

Identify a bank branch transit in Canada.

googlepayobject

Google pay information. Only provided when type is googlepay

googlepay.billingobject

Billing information

googlepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

googlepay.billing.address.citystring

City of the address. Maximum of 100 characters.

googlepay.billing.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

googlepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

googlepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

googlepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

googlepay.billing.date_of_birthstring

Date of birth of the customer in the format: YYYY-MM-DD

googlepay.billing.emailstring

Email address of the customer

googlepay.billing.first_namestring

First name of the customer

googlepay.billing.last_namestring

Last name of the customer

googlepay.billing.phone_numberstring

Phone number of the customer

googlepay.lifecycle_idstring

The Lifecycle Identifier is a unique code that links all related transaction events - Capture, refund & disputes, making it easy to track a transaction throughout its lifecycle. This identifier is currently supported only when the card brand is MasterCard.

googlepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

googlepay.tokenized_cardobject

Payment data with the tokenized card details.

googlepay.tokenized_card.authentication_methodobject

Authentication method

googlepay.tokenized_card.authentication_method.emvobject

EMV data

googlepay.tokenized_card.authentication_method.emv.emv_datastring

Output from the Secure Element

googlepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

googlepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

googlepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

googlepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramstring

Online payment cryptogram, as defined by 3-D Secure

googlepay.tokenized_card.authentication_method.typestring

The authentication method type. One of CRYPTOGRAM_3DS, PAN_ONLY.

googlepay.tokenized_card.binstring

Bank identify number of this card

googlepay.tokenized_card.brandstring

Brand of the card. One of visa, mastercard, maestro, chinaunionpay.

googlepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

googlepay.tokenized_card.expiry_monthstring

Two digit number representing the card’s expiration month

googlepay.tokenized_card.expiry_yearstring

Four digit number representing the card’s expiration year

googlepay.tokenized_card.fingerprintstring

Fingerprint of the card

googlepay.tokenized_card.is_commercialboolean

A boolean field referring whether the card is commercial or not

googlepay.tokenized_card.issuer_country_codestring

Country code of the card issuer

googlepay.tokenized_card.issuer_namestring

Issuer name

googlepay.tokenized_card.last4string

Last four digits of the card number

googlepay.tokenized_card.namestring

Cardholder name

googlepay.tokenized_card.typestring

The card's type of payment. One of credit or debit.

idstring

Unique identifier for the PaymentMethod

metadataobject

A set of key-value pairs that you can attach to this PaymentMethod. You can specify up to 50 keys with key names up to 50 characters long and values up to 500 characters long.

request_idstring

Unique request identifier specified by the merchant

sepa_direct_debitobject

SEPA Direct Debit information. Only provided when type is sepa_direct_debit.

sepa_direct_debit.addressobject

Account holder's address.

sepa_direct_debit.address.country_codestring

Country code of the address. Use the two-character ISO Standard Country Codes.

sepa_direct_debit.address.postcodestring

Postcode of the address.

sepa_direct_debit.address.streetstring

street of the address.

sepa_direct_debit.address.townstring

town of the address.

sepa_direct_debit.bank_namestring

Bank of the account. You can call API to retrieve the available bank names.

sepa_direct_debit.business_accountboolean

Indicate whether the account is a business account.

sepa_direct_debit.country_codestring

The 2-letter ISO country/region code from which the consumer will be paying.

sepa_direct_debit.ibanstring

15–34 characters to identify a bank account.

sepa_direct_debit.micro_debitobject

The result of micro debit.

sepa_direct_debit.micro_debit.statusstring

The status of micro_debit.

sepa_direct_debit.micro_depositobject

The result of micro deposit.

sepa_direct_debit.micro_deposit.statusstring

The status of micro_deposit.

sepa_direct_debit.owner_emailstring

Email of the account holder.

sepa_direct_debit.owner_namestring

Name of the account holder.

statusstring

Status of the PaymentMethod. One of CREATED, DISABLED

typestring

Type of the PaymentMethod. One of card, applepay, googlepay, ach_direct_debit, bacs_direct_debit, becs_direct_debit, sepa_direct_debit, eft_direct_debit.

updated_atstring

Time when the PaymentMethod was last updated.

Errors
Error statusDescription
400

Bad Request. Possible error codes: validation_error, duplicate_request, invalid_status_for_operation

401

Unauthorized. Possible error codes: unauthorized

403

Forbidden

404

Not Found. Possible error codes: not_found(invalid url), resource_not_found

500

Server Error. Possible error codes: internal_error

POST /api/v1/pa/payment_methods/{id}/disable
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/pa/payment_methods/att_hkpd12a3456hi7/disable' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "request_id": "ebd6f3f2-d489-4c2c-9548-8d2a742dc4f7"
>}'
Response (200 OK)
1{
2 "id": "mtd_hkpd1dsjklad5sa",
3 "request_id": "ebd6f3f2-d489-4c2c-9548-8d2a742dc4f7",
4 "customer_id": "cus_hkpd1dsaklad5sa",
5 "type": "card",
6 "card": {
7 "expiry_month": "03",
8 "expiry_year": "2030",
9 "name": "John Doe",
10 "bin": "403550",
11 "last4": "0008",
12 "brand": "visa",
13 "issuer_country_code": "US",
14 "card_type": "CREDIT",
15 "fingerprint": "AKvN4TqxI04SNFZ+oYRXaECtDA==",
16 "billing": {
17 "first_name": "John",
18 "last_name": "Doe",
19 "email": "[email protected]",
20 "phone_number": "+1 1234567890",
21 "address": {
22 "country_code": "US",
23 "state": "CA",
24 "city": "San Francisco",
25 "street": "1460 Mission St.#02W101",
26 "postcode": "94103"
27 }
28 },
29 "issuer_name": "JPMorgan Chase",
30 "is_commercial": false,
31 "number_type": "PAN"
32 },
33 "status": "DISABLED",
34 "created_at": "2023-10-01T12:00:00+00:00",
35 "updated_at": "2023-10-01T12:00:00+00:00"
36}
Was this section helpful?